Appearance
Get memos ​
GET
/v1/memos
Gets a list of memos given a set of page(s)
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1bookingorder_id
bookingorder id
Type
string
reservation_id
reservation_id
Type
string
distributor_id
distributor_id
Type
string
grouprequest_id
grouprequest_id
Type
string
purchaseorder_id
purchaseorder_id
Type
string
supplier_id
supplier_id
Type
string
ticket_id
ticket_id
Type
string
created
created date filter
Type
string
sub_category
memo subcategory filter
Type
string
category
memo category filter
Type
string
scope
memo scope filter
Type
string
target_client_id
target client id for action memos
Type
string
action_date
action date filter
Type
string
finish_date
finish date filter, supports conditions like ge, le, etc.
Type
string
finished
filter by finished: true/1 = finish_date is not null, false/0 = finish_date is null
Type
string
Responses​
OK
application/json
JSON"memos": [{"memo_id": "ff95e6bfe5fa40dd81b769543549d9a1_mmx","scope": "external","memo_category": "processinformation","memo_subcategory": "generic_notes","text": "This is a memo example","bookingorder_id": "cfd73ab0fa224c56933e798b62df6631_bkn","distributor_id": "cfd73ab0fg224a569e3e7a8b6edf6S31_dst","reservation_id": "sfd7aab0fq22da56de3e7a8b6edf6S31_rsr","grouprequest_id": "08420aa8df8bj3a6av9c3gd448ccc97d_grp","purchaseorder_id": "71fa366c51374bbaa892f1871c19f171_prc","supplier_id": "71fa366c51374bbaa892f1871c19f171_spp","ticket_id": "71fa366c51374bba6m94h188nc19f1s2_tck","created_by": "26231e7bab8e4s90ba4b425cc18b9fd5_cln","created": "2025-01-01T01:00:00","updated": "2025-01-01T01:00:00","updated_by": "26231e7bab8e4s90ba4b425cc18b9fd5_cln","action_date": "2025-01-01T00:00:00","target_client_id": "26231e7bab8e4s90ba4b425cc18b9fd5_cln","finish_date": "2025-01-02T00:00:00","finished": false}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}